/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPETAPACAO                                               */
/* Tabela : TPETAPACAO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TPETAPACAO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TPETAPACAO
GO

CREATE TRIGGER DTULTATU_TPETAPACAO
ON TPETAPACAO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TPETAPACAO', null, 'CDTPETAPACAO=' + CDTPETAPACAO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TPETAPACAO
      SET DTULTATUTPET = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TPETAPACAO.CDTPETAPACAO,0) = ISNULL(INSERTED.CDTPETAPACAO,0)) AND
            (ISNULL(TPETAPACAO.NMTPETAPACAO,0) = ISNULL(INSERTED.NMTPETAPACAO,0));
   END;
END;
GO

